(defun c:AddFilter  ( / added
                        objdict
                        mydict
                        dictionary
                        xname
                        newdict
                        mydictename
                        datalist
                    ) 
    (setq added nil)
    (and (setq filtername (getstring "Filtername:"))
        (setq objdict (namedobjdict))
        (setq mydict (dictsearch objdict "AMGSNAPSETTINGS"))        
    )    
    (if (not mydict) 
        (progn
            (and 
                (setq dictionary (list '(0 . "DICTIONARY") '(100 . "AcDbDictionary")))
                (setq xname (entmakex dictionary)) 
                (setq newdict (dictadd (namedobjdict) "AMGSNAPSETTINGS" xname))
                (setq mydict (entget newdict))
            )
        )
    )
    (and mydict
        (setq mydictename (cdr (assoc -1 mydict)))
        (setq datalist 
            (append 
                (list 
                    '(0 . "ACAMGFILTERDAT")
                    '(100 . "AcAmgFilterDat")
                ) 
                '(
                    (70 . 15)                      ; version number - do not change!
                    (1 . "LINE,CIRCLE")            ; entity types
                    (2 . "1,2,3")                  ; layers
                    (3 . "*")                      ; linetypes
                    (4 . "*")                      ; colors
                    (5 . "*")                      ; container types
                    (290 . 1)                      ; active
                )
            )
        ) 
        (setq xname (entmakex datalist))
        (dictadd mydictename filtername xname)
        (princ "Neuer Filter wurde erfolgreich zugefgt")
        (setq added T)
    )
    (if (not added)
        (print "Fehler")
    )
    (princ)
)
